Index: /branches/ORCHIDEE_EXT/ORCHIDEE/src_parameters/constantes.f90
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/src_parameters/constantes.f90	(revision 256)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/src_parameters/constantes.f90	(revision 257)
@@ -980,372 +1042,442 @@
   REAL(r_std), SAVE, DIMENSION(3)   :: leaf_age_crit_coeff = (/ 1.5, 0.75, 10./)
 
-!**************************************************************
+
+
+
+                             !------------------!
+                             ! stomate_vmax.f90 !
+                             !------------------!
+
+  ! 1. Scalar
+
+  ! offset (minimum relative vcmax)
+  REAL(r_std), SAVE                                      :: vmax_offset = 0.3
+  ! leaf age at which vmax attains vcmax_opt (in fraction of critical leaf age)
+  REAL(r_std), SAVE                                      :: leafage_firstmax = 0.03
+  ! leaf age at which vmax falls below vcmax_opt (in fraction of critical leaf age)
+  REAL(r_std), SAVE                                      :: leafage_lastmax = 0.5
+  ! leaf age at which vmax attains its minimum (in fraction of critical leaf age)
+  REAL(r_std), SAVE                                      :: leafage_old = 1.
+
+
+
+                             !--------------------!
+                             ! stomate_season.f90 !
+                             !--------------------!
+
+
+  ! 1. Scalar
+
+  ! rapport maximal GPP/GGP_max pour dormance
+  REAL(r_std), SAVE                                  :: gppfrac_dormance = 0.2
+  ! minimum gpp considered as not "lowgpp"
+  REAL(r_std), SAVE                                  :: min_gpp_allowed = 0.3
+  ! tau (year) for "climatologic variables
+  REAL(r_std), SAVE                                  :: tau_climatology = 20
+  ! parameters for herbivore activity
+  REAL(r_std), SAVE                                  :: hvc1 = 0.019
+  REAL(r_std), SAVE                                  :: hvc2 = 1.38
+  REAL(r_std), SAVE                                  :: leaf_frac_hvc =.33
+  ! maximum reference long term temperature (K)
+  REAL(r_std),SAVE :: tlong_ref_max = 303.1
+  ! minimum reference long term temperature (K)
+  REAL(r_std),SAVE :: tlong_ref_min = 253.1
+
+  ! 3. Coefficients of equations
+
+  REAL(r_std), SAVE  :: ncd_max_year = 3.
+  REAL(r_std), SAVE  :: gdd_threshold = 5.
+  REAL(r_std), SAVE  :: green_age_ever = 2.
+  REAL(r_std), SAVE  :: green_age_dec = 0.5
+
+
 
  CONTAINS
 
- ! Subroutine called for getin the new parameters values used in sechiba
- !
- SUBROUTINE getin_sechiba_parameters
-
-  IMPLICIT NONE
-  ! first call
-  LOGICAL, SAVE ::  first_call = .TRUE.
-
-  IF(first_call) THEN 
-
-!!$   CALL getin('DIAG_QSAT',diag_qsat)
-   !  
-   CALL getin('QWILT',qwilt)
-   CALL getin('MIN_RESDIS',min_resdis)
-   CALL getin('MIN_DRAIN',min_drain)
-   CALL getin('MAX_DRAIN',max_drain)
-   CALL getin('EXP_DRAIN',exp_drain)
-   CALL getin('MX_EAU_EAU',mx_eau_eau)
-   CALL getin('RSOL_CSTE',rsol_cste)
-   CALL getin('HCRIT_LITTER',hcrit_litter)
-   !-
-   CALL getin('SOILTYPE_DEFAULT',soiltype_default)
-   !-
-   CALL getin('MAXMASS_GLACIER',maxmass_glacier)
-   CALL getin('MIN_VEGFRAC',min_vegfrac)
-   !-
-   CALL getin('SNOWCRI',snowcri)
-   !-
-   CALL getin('SNOWCRI_ALB',snowcri_alb)
-   CALL getin('MIN_WIND',min_wind)
-   CALL getin('Z0_BARE',z0_bare)
-   CALL getin('Z0_ICE',z0_ice)
-   CALL getin('TCST_SNOWA',tcst_snowa)
-   CALL getin('MAX_SNOW_AGE',max_snow_age)
-   CALL getin('SNOW_TRANS',snow_trans)
-   CALL getin('ALB_DEADLEAF',alb_deadleaf)
-   CALL getin('ALB_ICE',alb_ice)
-   !-
-   CALL getin('Z0_OVER_HEIGHT',z0_over_height)
-   CALL getin('HEIGHT_DISPLACEMENT',height_displacement)
-   !-
-   CALL getin('NLAI',nlai)
-   CALL getin('LAIMAX',laimax)
-   CALL getin('XC4_1',xc4_1)
-   CALL getin('XC4_2',xc4_2)
-   !-
-   CALL getin('DMCS',dmcs)
-   CALL getin('DMCR',dmcr)
-   !-
-   CALL getin('VIS_DRY',vis_dry)
-   CALL getin('NIR_DRY',nir_dry)
-   CALL getin('VIS_WET',vis_wet)
-   CALL getin('NIR_WET',nir_wet)
-   CALL getin('ALBSOIL_VIS',albsoil_vis)
-   CALL getin('ALBSOIL_NIR',albsoil_nir)
-   !-
-   CALL getin('CLAYFRACTION_DEFAULT',clayfraction_default)
-   !
-   CALL getin('DEW_VEG_POLY_COEFF',dew_veg_poly_coeff)
-
-   first_call =.FALSE.
-
-  ENDIF
-
-  END SUBROUTINE getin_sechiba_parameters
-
-!*********************************************************
-
-  ! Subroutine called only if river_routing is activated
-
-  SUBROUTINE getin_routing_parameters
-
-  IMPLICIT NONE
-
-  LOGICAL, SAVE ::  first_call = .TRUE.
-
-  IF(first_call) THEN
-
-     CALL getin('CROP_COEF',crop_coef)
-
-     first_call =.FALSE.
-
-  ENDIF   
-
-  END SUBROUTINE getin_routing_parameters  
-
-!*******************************************************
-
-  ! Subroutine called only if hydrol_cwrr is activated
-
-  SUBROUTINE getin_hydrol_cwrr_parameters
-
-  IMPLICIT NONE
-
-  LOGICAL, SAVE ::  first_call = .TRUE.
-
+   SUBROUTINE getin_sechiba_parameters
+
+     IMPLICIT NONE
+     ! first call
+     LOGICAL, SAVE ::  first_call = .TRUE.
+     
+     IF(first_call) THEN 
+        
+        ! Global
+        ! DS by global I mean the parameters used by two or more modules
+        ! Example : the common parameters for both hydrology models
+        CALL getin_p('MAXMASS_GLACIER',maxmass_glacier)
+        CALL getin_p('SNOWCRI',snowcri)
+        CALL getin_p('SECHIBA_QSINT', qsintcst)
+        WRITE(numout, *)' SECHIBA_QSINT, qsintcst = ', qsintcst
+        CALL getin_p("HYDROL_SOIL_DEPTH", dpu_cste)
+        !
+        CALL getin_p('MIN_WIND',min_wind)
+        CALL getin_p('MAX_SNOW_AGE',max_snow_age)
+        CALL getin_p('SNOW_TRANS',snow_trans)
+        CALL getin_p('MX_EAU_EAU',mx_eau_eau)
+        !-
+        ! condveg
+        CALL getin_p('Z0_OVER_HEIGHT',z0_over_height)
+        CALL getin_p('HEIGHT_DISPLACEMENT',height_displacement)
+        CALL getin_p('Z0_BARE',z0_bare)
+        CALL getin_p('Z0_ICE',z0_ice)
+        CALL getin_p('TCST_SNOWA',tcst_snowa)
+        CALL getin_p('SNOWCRI_ALB',snowcri_alb)
+        !
+        CALL getin_p('VIS_DRY',vis_dry)
+        CALL getin_p('NIR_DRY',nir_dry)
+        CALL getin_p('VIS_WET',vis_wet)
+        CALL getin_p('NIR_WET',nir_wet)
+        CALL getin_p('ALBSOIL_VIS',albsoil_vis)
+        CALL getin_p('ALBSOIL_NIR',albsoil_nir)
+        !-
+        CALL getin_p('ALB_DEADLEAF',alb_deadleaf)
+        CALL getin_p('ALB_ICE',alb_ice)
+        !-
+        ! diffuco 
+        ! DS the rest of diffuco parameters are only read when ok_co2 is set to TRUE
+        CALL getin_p('NLAI',nlai)
+        CALL getin_p('LAIMAX',laimax)
+        CALL getin_p('XC4_1',xc4_1)
+        CALL getin_p('XC4_2',xc4_2)
+        CALL getin_p('DEW_VEG_POLY_COEFF',dew_veg_poly_coeff)
+        !-
+        ! slowproc
+        CALL getin_p('CLAYFRACTION_DEFAULT',clayfraction_default)
+        CALL getin_p('MIN_VEGFRAC',min_vegfrac)
+        CALL getin_p('SOILTYPE_DEFAULT',soiltype_default)
+        
+        
+        first_call =.FALSE.
+        
+     ENDIF
+     
+   END SUBROUTINE getin_sechiba_parameters
+!
+!=
+!
+   ! Subroutine called only if ok_co2 is activated
+   ! only for diffuco_trans_co2
+   
+   SUBROUTINE getin_co2_parameters
+     
+     IMPLICIT NONE
+     
+     LOGICAL, SAVE ::  first_call = .TRUE.
+     
+     IF(first_call) THEN
+        
+        CALL getin_p('LAI_LEVEL_DEPTH',lai_level_depth)
+        CALL getin_p('X1_COEF',x1_coef)
+        CALL getin_p('X1_Q10',x1_Q10)
+        CALL getin_p('QUANTUM_YIELD',quantum_yield)
+        CALL getin_p('KT_COEF',kt_coef)
+        CALL getin_p('KC_COEF',kc_coef)
+        CALL getin_p('KO_Q10',Ko_Q10)
+        CALL getin_p('OA',Oa)
+        CALL getin_p('KO_COEF',Ko_coef)
+        CALL getin_p('CP_0',CP_0)
+        CALL getin_p('CP_TEMP_COEF',cp_temp_coef)
+        CALL getin_p('CP_TEMP_REF',cp_temp_ref)
+        CALL getin_p('RT_COEF',rt_coef)
+        CALL getin_p('VC_COEF',vc_coef)
+        
+        first_call =.FALSE.
+        
+     ENDIF
+     
+   END SUBROUTINE getin_co2_parameters
+!
+!=
+!
+   SUBROUTINE getin_hydrolc_parameters
+     
+     LOGICAL, SAVE ::  first_call = .TRUE.
+     
+     IF(first_call) THEN 
+        
+        CALL getin_p('QWILT',qwilt)
+        CALL getin_p('MIN_RESDIS',min_resdis)
+        CALL getin_p('MIN_DRAIN',min_drain)
+        CALL getin_p('MAX_DRAIN',max_drain)
+        CALL getin_p('EXP_DRAIN',exp_drain)
+        CALL getin_p('RSOL_CSTE',rsol_cste)
+        CALL getin_p('HCRIT_LITTER',hcrit_litter)
+        
+        first_call =.FALSE.
+        
+     ENDIF
+     
+   END SUBROUTINE getin_hydrolc_parameters
+   
+!
+!=
+!
+   ! Subroutine called only if hydrol_cwrr is activated
+   
+   SUBROUTINE getin_hydrol_cwrr_parameters
+     
+     IMPLICIT NONE
+     
+     LOGICAL, SAVE ::  first_call = .TRUE.
+     
+     IF(first_call) THEN
+        
+        CALL getin_p('W_TIME',w_time)
+        CALL getin_p('NVAN',nvan)   
+        CALL getin_p('AVAN',avan)
+        CALL getin_p('MCR',mcr)
+        CALL getin_p('MCS',mcs)
+        CALL getin_p('KS',ks)
+        CALL getin_p('PCENT',pcent)
+        CALL getin_p('FREE_DRAIN_MAX',free_drain_max)
+        CALL getin_p('MCF',mcf)
+        CALL getin_p('MCW',mcw)
+        CALL getin_p('MC_AWET',mc_awet)
+        
+        first_call =.FALSE.
+        
+     ENDIF
+
+   END SUBROUTINE getin_hydrol_cwrr_parameters
+!
+!=
+!
+   SUBROUTINE getin_routing_parameters
+     
+     IMPLICIT NONE
+     
+     LOGICAL, SAVE ::  first_call = .TRUE.
+     
+     IF(first_call) THEN
+        
+        CALL getin_p('CROP_COEF',crop_coef)
+        
+        first_call =.FALSE.
+        
+     ENDIF
+     
+   END SUBROUTINE getin_routing_parameters
+!
+!=
+!
+   SUBROUTINE getin_stomate_parameters
+     
+    IMPLICIT NONE
+    
+    LOGICAL, SAVE ::  first_call = .TRUE.
+    
     IF(first_call) THEN
-
-       CALL getin('W_TIME',w_time)
-       CALL getin('NVAN',nvan)   
-       CALL getin('AVAN',avan)
-       CALL getin('MCR',mcr)
-       CALL getin('MCS',mcs)
-       CALL getin('KS',ks)
-       CALL getin('PCENT',pcent)
-       CALL getin('FREE_DRAIN_MAX',free_drain_max)
-       CALL getin('MCF',mcf)
-       CALL getin('MCW',mcw)
-       CALL getin('MC_AWET',mc_awet)
-
-       first_call =.FALSE.
-  
+       
+       ! constraints_parameters
+       CALL getin_p('TOO_LONG',too_long)
+       !-
+       ! fire parameters
+       CALL getin_p('TAU_FIRE',tau_fire)
+       CALL getin_p('LITTER_CRIT',litter_crit)
+       CALL getin_p('CO2FRAC',co2frac)
+       CALL getin_p('BCFRAC_COEFF',bcfrac_coeff)
+       CALL getin_p('FIREFRAC_COEFF',firefrac_coeff)
+       !-
+       ! gap parameters (+ lpj_const_mort)
+       CALL getin_p('AVAILABILITY_FACT', availability_fact)  
+       CALL getin_p('VIGOUR_REF',vigour_ref)
+       CALL getin_p('VIGOUR_COEFF',vigour_coeff) 
+       !-
+       ! allocation parameters
+       CALL getin_p('OK_MINRES',ok_minres)
+       CALL getin_p('TAU_LEAFINIT', tau_leafinit)
+       CALL getin_p('RESERVE_TIME_TREE',reserve_time_tree)
+       CALL getin_p('RESERVE_TIME_GRASS',reserve_time_grass)
+       CALL getin_p('R0',R0)
+       CALL getin_p('S0',S0)
+       CALL getin_p('F_FRUIT',f_fruit)
+       CALL getin_p('ALLOC_SAP_ABOVE_TREE',alloc_sap_above_tree)
+       CALL getin_p('ALLOC_SAP_ABOVE_GRASS',alloc_sap_above_grass)
+       CALL getin_p('MIN_LTOLSR',min_LtoLSR)
+       CALL getin_p('MAX_LTOLSR',max_LtoLSR)
+       CALL getin_p('Z_NITROGEN',z_nitrogen)
+       CALL getin_p('LAI_MAX_TO_HAPPY',lai_max_to_happy)
+       CALL getin_p('NLIM_TREF',Nlim_tref)   
+       !-
+       ! data parameters
+       CALL getin_p('PIPE_TUNE1',pipe_tune1)
+       CALL getin_p('PIPE_TUNE2',pipe_tune2)   
+       CALL getin_p('PIPE_TUNE3',pipe_tune3)
+       CALL getin_p('PIPE_TUNE4',pipe_tune4)
+       CALL getin_p('PIPE_DENSITY',pipe_density)
+       CALL getin_p('PIPE_K1',pipe_k1)
+       CALL getin_p('PIPE_TUNE_EXP_COEFF',pipe_tune_exp_coeff)
+       !
+       CALL getin_p('PRECIP_CRIT',precip_crit)
+       CALL getin_p('GDD_CRIT_ESTAB',gdd_crit_estab) 
+       CALL getin_p('FPC_CRIT',fpc_crit)
+       CALL getin_p('ALPHA_GRASS',alpha_grass)
+       CALL getin_p('ALPHA_TREE',alpha_tree)
+       !-
+       CALL getin_p('MASS_RATIO_HEART_SAP',mass_ratio_heart_sap)
+       CALL getin_p('FRAC_GROWTHRESP',frac_growthresp)
+       CALL getin_p('TAU_HUM_MONTH',tau_hum_month)
+       CALL getin_p('TAU_HUM_WEEK',tau_hum_week)
+       CALL getin_p('TAU_T2M_MONTH',tau_t2m_month)
+       CALL getin_p('TAU_T2M_WEEK',tau_t2m_week)
+       CALL getin_p('TAU_TSOIL_MONTH',tau_tsoil_month)
+       CALL getin_p('TAU_SOILHUM_MONTH',tau_soilhum_month)
+       CALL getin_p('TAU_GPP_WEEK',tau_gpp_week)
+       CALL getin_p('TAU_GDD',tau_gdd)
+       CALL getin_p('TAU_NGD',tau_ngd)
+       CALL getin_p('COEFF_TAU_LONGTERM',coeff_tau_longterm)
+       !-
+       CALL getin_p('BM_SAPL_CARBRES',bm_sapl_carbres)
+       CALL getin_p('BM_SAPL_SAPABOVE',bm_sapl_sapabove)
+       CALL getin_p('BM_SAPL_HEARTABOVE',bm_sapl_heartabove)
+       CALL getin_p('BM_SAPL_HEARTBELOW',bm_sapl_heartbelow)
+       CALL getin_p('INIT_SAPL_MASS_LEAF_NAT',init_sapl_mass_leaf_nat)
+       CALL getin_p('INIT_SAPL_MASS_LEAF_AGRI',init_sapl_mass_leaf_agri)
+       CALL getin_p('INIT_SAPL_MASS_CARBRES',init_sapl_mass_carbres)
+       CALL getin_p('INIT_SAPL_MASS_ROOT',init_sapl_mass_root)
+       CALL getin_p('INIT_SAPL_MASS_FRUIT',init_sapl_mass_fruit)
+       CALL getin_p('CN_SAPL_INIT',cn_sapl_init)
+       CALL getin_p('MIGRATE_TREE',migrate_tree)
+       CALL getin_p('MIGRATE_GRASS',migrate_grass)
+       CALL getin_p('MAXDIA_COEFF',maxdia_coeff)
+       CALL getin_p('LAI_INITMIN_TREE',lai_initmin_tree)
+       CALL getin_p('LAI_INITMIN_GRASS',lai_initmin_grass)
+       CALL getin_p('DIA_COEFF',dia_coeff)
+       CALL getin_p('MAXDIA_COEFF',maxdia_coeff)
+       CALL getin_p('BM_SAPL_LEAF',bm_sapl_leaf)
+       !-
+       ! litter parameters
+       CALL getin_p('METABOLIC_REF_FRAC',metabolic_ref_frac)
+       CALL getin_p('Z_DECOMP',z_decomp)
+       CALL getin_p('CN',CN)
+       CALL getin_p('LC',LC)
+       CALL getin_p('FRAC_SOIL_STRUCT_AA',frac_soil_struct_aa)
+       CALL getin_p('FRAC_SOIL_STRUCT_AB',frac_soil_struct_ab)
+       CALL getin_p('FRAC_SOIL_STRUCT_SA',frac_soil_struct_sa)
+       CALL getin_p('FRAC_SOIL_STRUCT_SB',frac_soil_struct_sb)
+       CALL getin_p('FRAC_SOIL_METAB_AA',frac_soil_metab_aa)
+       CALL getin_p('FRAC_SOIL_METAB_AB',frac_soil_metab_ab)
+       !
+       CALL getin_p('METABOLIC_LN_RATIO',metabolic_LN_ratio)   
+       CALL getin_p('TAU_METABOLIC',tau_metabolic)
+       CALL getin_p('TAU_STRUCT',tau_struct)
+       CALL getin_p('SOIL_Q10',soil_Q10)
+       CALL getin_p('TSOIL_REF',tsoil_ref)
+       CALL getin_p('LITTER_STRUCT_COEF',litter_struct_coef)
+       CALL getin_p('MOIST_COEFF',moist_coeff)
+       !-
+       ! lpj parameters
+       CALL getin_p('FRAC_TURNOVER_DAILY',frac_turnover_daily)   
+       !-
+       ! npp parameters
+       CALL getin_p('TAX_MAX',tax_max) 
+       !-
+       ! phenology parameters
+       CALL getin_p('ALWAYS_INIT',always_init)
+       CALL getin_p('MIN_GROWTHINIT_TIME',min_growthinit_time)
+       CALL getin_p('MOIAVAIL_ALWAYS_TREE',moiavail_always_tree)
+       CALL getin_p('MOIAVAIL_ALWAYS_GRASS',moiavail_always_grass)
+       CALL getin_p('T_ALWAYS_ADD',t_always_add)
+       !
+       CALL getin_p('GDDNCD_REF',gddncd_ref)
+       CALL getin_p('GDDNCD_CURVE',gddncd_curve)
+       CALL getin_p('GDDNCD_OFFSET',gddncd_offset)
+       !-
+       ! prescribe parameters
+       CALL getin_p('CN_TREE',cn_tree)
+       CALL getin_p('BM_SAPL_RESCALE',bm_sapl_rescale)
+       !-
+       ! respiration parameters
+       CALL getin_p('MAINT_RESP_MIN_VMAX',maint_resp_min_vmax)  
+       CALL getin_p('MAINT_RESP_COEFF',maint_resp_coeff)
+       !-
+       ! soilcarbon parameters
+       CALL getin_p('FRAC_CARB_AA',frac_carb_aa)
+       CALL getin_p('FRAC_CARB_AP',frac_carb_ap)   
+       CALL getin_p('FRAC_CARB_SS',frac_carb_ss)
+       CALL getin_p('FRAC_CARB_SA',frac_carb_sa)
+       CALL getin_p('FRAC_CARB_SP',frac_carb_sp)
+       CALL getin_p('FRAC_CARB_PP',frac_carb_pp)
+       CALL getin_p('FRAC_CARB_PA',frac_carb_pa)
+       CALL getin_p('FRAC_CARB_PS',frac_carb_ps)
+       !
+       CALL getin_p('ACTIVE_TO_PASS_CLAY_FRAC',active_to_pass_clay_frac)
+       CALL getin_p('CARBON_TAU_IACTIVE',carbon_tau_iactive)
+       CALL getin_p('CARBON_TAU_ISLOW',carbon_tau_islow)
+       CALL getin_p('CARBON_TAU_IPASSIVE',carbon_tau_ipassive)
+       CALL getin_p('FLUX_TOT_COEFF',flux_tot_coeff)
+       !-
+       ! turnover parameters
+       CALL getin_p('NEW_TURNOVER_TIME_REF',new_turnover_time_ref)
+       CALL getin_p('DT_TURNOVER_TIME',dt_turnover_time)
+       CALL getin_p('LEAF_AGE_CRIT_TREF',leaf_age_crit_tref)
+       CALL getin_p('LEAF_AGE_CRIT_COEFF',leaf_age_crit_coeff)
+       !-
+       ! vmax parameters
+       CALL getin_p('VMAX_OFFSET',vmax_offset)
+       CALL getin_p('LEAFAGE_FIRSTMAX',leafage_firstmax)
+       CALL getin_p('LEAFAGE_LASTMAX',leafage_lastmax)
+       CALL getin_p('LEAFAGE_OLD',leafage_old)
+       !-
+       ! season parameters
+       CALL getin_p('GPPFRAC_DORMANCE',gppfrac_dormance)
+       CALL getin_p('MIN_GPP_ALLOWED',min_gpp_allowed)
+       CALL getin_p('TAU_CLIMATOLOGY',tau_climatology)
+       CALL getin_p('HVC1',hvc1)
+       CALL getin_p('HVC2',hvc2)
+       CALL getin_p('LEAF_FRAC_HVC',leaf_frac_hvc)
+       !
+       CALL getin_p('TLONG_REF_MAX',tlong_ref_max)
+       CALL getin_p('TLONG_REF_MIN',tlong_ref_min)
+       !
+       CALL getin_p('NCD_MAX_YEAR',ncd_max_year)
+       CALL getin_p('GDD_THRESHOLD',gdd_threshold)
+       CALL getin_p('GREEN_AGE_EVER',green_age_ever)
+       CALL getin_p('GREEN_AGE_DEC',green_age_dec)
+       
+       first_call = .FALSE.
+       
     ENDIF
-
-  END SUBROUTINE getin_hydrol_cwrr_parameters
-!--------------------------------------------
-
-  ! Subroutine called only if ok_co2 is activated
-  ! only for diffuco_trans_co2
-
-  SUBROUTINE getin_co2_parameters
-
-  IMPLICIT NONE
-
-  LOGICAL, SAVE ::  first_call = .TRUE.
-
+    
+  END SUBROUTINE getin_stomate_parameters
+!
+!=
+!
+  SUBROUTINE getin_dgvm_parameters   
+    
+    IMPLICIT NONE
+    
+    LOGICAL, SAVE ::  first_call = .TRUE.
+    
     IF(first_call) THEN
-
-       CALL getin('LAI_LEVEL_DEPTH',lai_level_depth)
-       CALL getin('X1_COEF',x1_coef)
-       CALL getin('X1_Q10',x1_Q10)
-       CALL getin('QUANTUM_YIELD',quantum_yield)
-       CALL getin('KT_COEF',kt_coef)
-       CALL getin('KC_COEF',kc_coef)
-       CALL getin('KO_Q10',Ko_Q10)
-       CALL getin('OA',Oa)
-       CALL getin('KO_COEF',Ko_coef)
-       CALL getin('CP_0',CP_0)
-       CALL getin('CP_TEMP_COEF',cp_temp_coef)
-       CALL getin('CP_TEMP_REF',cp_temp_ref)
-       CALL getin('RT_COEF',rt_coef)
-       CALL getin('VC_COEF',vc_coef)
-
-       first_call =.FALSE.
-
-   ENDIF
-
-  END SUBROUTINE getin_co2_parameters
-
-!**********************************************************
-
-  ! Subroutine called only if stomate is activated
-
-  SUBROUTINE getin_stomate_parameters
-
-    IMPLICIT NONE
-
-    LOGICAL, SAVE ::  first_call = .TRUE.
-
-    IF(first_call) THEN
+       
+       ! establish parameters
+       CALL getin_p('ESTAB_MAX_TREE',estab_max_tree)
+       CALL getin_p('ESTAB_MAX_GRASS',estab_max_grass)
+       CALL getin_p('ESTABLISH_SCAL_FACT',establish_scal_fact)
+       CALL getin_p('FPC_CRIT_MAX',fpc_crit_max)
+       CALL getin_p('FPC_CRIT_MIN',fpc_crit_min)
+       !-
+       ! light parameters
+       CALL getin_p('GRASS_MERCY',grass_mercy)
+       CALL getin_p('TREE_MERCY',tree_mercy)
+       CALL getin_p('ANNUAL_INCREASE',annual_increase)
+       CALL getin_p('MIN_COVER',min_cover)
+       !-
+       ! pftinout parameters
+       CALL getin_p('IND_0',ind_0)
+       CALL getin_p('MIN_AVAIL',min_avail)
+       CALL getin_p('RIP_TIME_MIN',RIP_time_min)
+       CALL getin_p('NPP_LONGTERM_INIT',npp_longterm_init)
+       CALL getin_p('EVERYWHERE_INIT',everywhere_init)
+       
+       first_call = .FALSE.
+       
+    ENDIF
     
-       CALL getin('TOO_LONG',too_long)
-       !-
-       CALL getin('TAU_FIRE',tau_fire)
-       CALL getin('LITTER_CRIT',litter_crit)
-       !-
-       CALL getin('OK_MINRES',ok_minres)
-       CALL getin('TAU_LEAFINIT', tau_leafinit)
-       CALL getin('RESERVE_TIME_TREE',reserve_time_tree)
-       CALL getin('RESERVE_TIME_GRASS',reserve_time_grass)
-       CALL getin('R0',R0)
-       CALL getin('S0',S0)
-       CALL getin('F_FRUIT',f_fruit)
-       CALL getin('ALLOC_SAP_ABOVE_TREE',alloc_sap_above_tree)
-       CALL getin('ALLOC_SAP_ABOVE_GRASS',alloc_sap_above_grass)
-       CALL getin('MIN_LTOLSR',min_LtoLSR)
-       CALL getin('MAX_LTOLSR',max_LtoLSR)
-       CALL getin('Z_NITROGEN',z_nitrogen)
-       !-
-       CALL getin('PIPE_TUNE_EXP_COEFF',pipe_tune_exp_coeff)
-       CALL getin('PIPE_TUNE1',pipe_tune1)
-       CALL getin('PIPE_TUNE2',pipe_tune2)   
-       CALL getin('PIPE_TUNE3',pipe_tune3)
-       CALL getin('PIPE_TUNE4',pipe_tune4)
-       CALL getin('PIPE_DENSITY',pipe_density)
-       CALL getin('PIPE_K1',pipe_k1)
-       CALL getin('ESTAB_MAX_TREE',estab_max_tree)
-       CALL getin('ESTAB_MAX_GRASS',estab_max_grass)
-       CALL getin('IND_0',ind_0)
-       CALL getin('MIN_COVER',min_cover)
-       CALL getin('PRECIP_CRIT',precip_crit)
-       CALL getin('GDD_CRIT_ESTAB',gdd_crit_estab) 
-       CALL getin('FPC_CRIT',fpc_crit)
-       CALL getin('FRAC_GROWTHRESP',frac_growthresp)
-       CALL getin('ALPHA_GRASS',alpha_grass)
-       CALL getin('ALPHA_TREE',alpha_tree)
-       CALL getin('TLONG_REF_MAX',tlong_ref_max)
-       CALL getin('TLONG_REF_MIN',tlong_ref_min)
-       !-
-       CALL getin('MASS_RATIO_HEART_SAP',mass_ratio_heart_sap)
-       CALL getin('TAU_HUM_MONTH',tau_hum_month)
-       CALL getin('TAU_HUM_WEEK',tau_hum_week)
-       CALL getin('TAU_T2M_MONTH',tau_t2m_month)
-       CALL getin('TAU_T2M_WEEK',tau_t2m_week)
-       CALL getin('TAU_TSOIL_MONTH',tau_tsoil_month)
-       CALL getin('TAU_SOILHUM_MONTH',tau_soilhum_month)
-       CALL getin('TAU_GPP_WEEK',tau_gpp_week)
-       CALL getin('TAU_GDD',tau_gdd)
-       CALL getin('TAU_NGD',tau_ngd)
-       CALL getin('COEFF_TAU_LONGTERM',coeff_tau_longterm)
-       !
-       CALL getin('FRAC_TURNOVER_DAILY',frac_turnover_daily)
-       !-
-       CALL getin('Z_DECOMP',z_decomp)
-       !-
-       CALL getin('TAX_MAX',tax_max)
-       !-
-       CALL getin('ALWAYS_INIT',always_init)
-       CALL getin('MIN_GROWTHINIT_TIME',min_growthinit_time)
-       CALL getin('MOIAVAIL_ALWAYS_TREE',moiavail_always_tree)
-       CALL getin('MOIAVAIL_ALWAYS_GRASS',moiavail_always_grass)
-       CALL getin('T_ALWAYS_ADD',t_always_add)
-       !-
-       CALL getin('VMAX_OFFSET',vmax_offset)
-       CALL getin('LEAFAGE_FIRSTMAX',leafage_firstmax)
-       CALL getin('LEAFAGE_LASTMAX',leafage_lastmax)
-       CALL getin('LEAFAGE_OLD',leafage_old)
-       !-
-       CALL getin('GPPFRAC_DORMANCE',gppfrac_dormance)
-       CALL getin('MIN_GPP_ALLOWED',min_gpp_allowed)
-       CALL getin('TAU_CLIMATOLOGY',tau_climatology)
-       CALL getin('HVC1',hvc1)
-       CALL getin('HVC2',hvc2)
-       CALL getin('LEAF_FRAC_HVC',leaf_frac_hvc)
-       !-
-       CALL getin('CO2FRAC',co2frac)
-       CALL getin('CN',CN)
-       CALL getin('LC',LC)
-       !-
-       CALL getin('FRAC_SOIL_STRUCT_AA',frac_soil_struct_aa)
-       CALL getin('FRAC_SOIL_STRUCT_AB',frac_soil_struct_ab)
-       CALL getin('FRAC_SOIL_STRUCT_SA',frac_soil_struct_sa)
-       CALL getin('FRAC_SOIL_STRUCT_SB',frac_soil_struct_sb)
-       CALL getin('FRAC_SOIL_METAB_AA',frac_soil_metab_aa)
-       CALL getin('FRAC_SOIL_METAB_AB',frac_soil_metab_ab)
-       !-
-       CALL getin('FRAC_CARB_AA',frac_carb_aa)
-       CALL getin('FRAC_CARB_AP',frac_carb_ap)   
-       CALL getin('FRAC_CARB_SS',frac_carb_ss)
-       CALL getin('FRAC_CARB_SA',frac_carb_sa)
-       CALL getin('FRAC_CARB_SP',frac_carb_sp)
-       CALL getin('FRAC_CARB_PP',frac_carb_pp)
-       CALL getin('FRAC_CARB_PA',frac_carb_pa)
-       CALL getin('FRAC_CARB_PS',frac_carb_ps)
-
-       !---------------------------------------
-       ! COEFFICIENTS OF EQUATIONS
-       !-------------------------------------
-       !
-       !-
-       CALL getin('BCFRAC_COEFF',bcfrac_coeff)
-       CALL getin('FIREFRAC_COEFF',firefrac_coeff)
-       !-
-       CALL getin('AVAILABILITY_FACT', availability_fact)  
-       CALL getin('VIGOUR_REF',vigour_ref)
-       CALL getin('VIGOUR_COEFF',vigour_coeff)
-       !-
-       CALL getin('RIP_TIME_MIN',RIP_time_min)
-       CALL getin('NPP_LONGTERM_INIT',npp_longterm_init)
-       CALL getin('EVERYWHERE_INIT',everywhere_init)
-       !
-       !-
-       CALL getin('LAI_MAX_TO_HAPPY',lai_max_to_happy)
-       CALL getin('NLIM_TREF',Nlim_tref)   
-       !-
-       CALL getin('BM_SAPL_CARBRES',bm_sapl_carbres)
-       CALL getin('BM_SAPL_SAPABOVE',bm_sapl_sapabove)
-       CALL getin('BM_SAPL_HEARTABOVE',bm_sapl_heartabove)
-       CALL getin('BM_SAPL_HEARTBELOW',bm_sapl_heartbelow)
-       CALL getin('INIT_SAPL_MASS_LEAF_NAT',init_sapl_mass_leaf_nat)
-       CALL getin('INIT_SAPL_MASS_LEAF_AGRI',init_sapl_mass_leaf_agri)
-       CALL getin('INIT_SAPL_MASS_CARBRES',init_sapl_mass_carbres)
-       CALL getin('INIT_SAPL_MASS_ROOT',init_sapl_mass_root)
-       CALL getin('INIT_SAPL_MASS_FRUIT',init_sapl_mass_fruit)
-       CALL getin('CN_SAPL_INIT',cn_sapl_init)
-       CALL getin('MIGRATE_TREE',migrate_tree)
-       CALL getin('MIGRATE_GRASS',migrate_grass)
-       CALL getin('MAXDIA_COEFF',maxdia_coeff)
-       CALL getin('LAI_INITMIN_TREE',lai_initmin_tree)
-       CALL getin('LAI_INITMIN_GRASS',lai_initmin_grass)
-       CALL getin('DIA_COEFF',dia_coeff)
-       CALL getin('MAXDIA_COEFF',maxdia_coeff)
-       CALL getin('BM_SAPL_LEAF',bm_sapl_leaf)
-       !-
-       CALL getin('METABOLIC_REF_FRAC',metabolic_ref_frac)
-       CALL getin('METABOLIC_LN_RATIO',metabolic_LN_ratio)   
-       CALL getin('TAU_METABOLIC',tau_metabolic)
-       CALL getin('TAU_STRUCT',tau_struct)
-       CALL getin('SOIL_Q10',soil_Q10)
-       CALL getin('TSOIL_REF',tsoil_ref)
-       CALL getin('LITTER_STRUCT_COEF',litter_struct_coef)
-       CALL getin('MOIST_COEFF',moist_coeff)
-       !-
-       CALL getin('GDDNCD_REF',gddncd_ref)
-       CALL getin('GDDNCD_CURVE',gddncd_curve)
-       CALL getin('GDDNCD_OFFSET',gddncd_offset)
-       !-
-       CALL getin('CN_TREE',cn_tree)
-       CALL getin('BM_SAPL_RESCALE',bm_sapl_rescale)
-       !-
-       CALL getin('MAINT_RESP_MIN_VMAX',maint_resp_min_vmax)  
-       CALL getin('MAINT_RESP_COEFF',maint_resp_coeff)
-       !-
-       CALL getin('NCD_MAX_YEAR',ncd_max_year)
-       CALL getin('GDD_THRESHOLD',gdd_threshold)
-       CALL getin('GREEN_AGE_EVER',green_age_ever)
-       CALL getin('GREEN_AGE_DEC',green_age_dec)
-       !-
-       CALL getin('ACTIVE_TO_PASS_CLAY_FRAC',active_to_pass_clay_frac)
-       CALL getin('CARBON_TAU_IACTIVE',carbon_tau_iactive)
-       CALL getin('CARBON_TAU_ISLOW',carbon_tau_islow)
-       CALL getin('CARBON_TAU_IPASSIVE',carbon_tau_ipassive)
-       CALL getin('FLUX_TOT_COEFF',flux_tot_coeff)
-       !-
-       CALL getin('NEW_TURNOVER_TIME_REF',new_turnover_time_ref)
-       CALL getin('DT_TURNOVER_TIME',dt_turnover_time)
-       CALL getin('LEAF_AGE_CRIT_TREF',leaf_age_crit_tref)
-       CALL getin('LEAF_AGE_CRIT_COEFF',leaf_age_crit_coeff)
-
-       first_call = .FALSE.
-
-    ENDIF
-
- END SUBROUTINE getin_stomate_parameters
-
-!******************************************
-
- SUBROUTINE getin_dgvm_parameters   
-   
-   IMPLICIT NONE
-
-    LOGICAL, SAVE ::  first_call = .TRUE.
-
-    IF(first_call) THEN
-
-          CALL getin('ESTABLISH_SCAL_FACT',establish_scal_fact)
-          CALL getin('FPC_CRIT_MAX',fpc_crit_max)
-          CALL getin('FPC_CRIT_MIN',fpc_crit_min)
-          !
-          CALL getin('GRASS_MERCY',grass_mercy)
-          CALL getin('TREE_MERCY',tree_mercy)
-          CALL getin('ANNUAL_INCREASE',annual_increase)
-          !
-          CALL getin('MIN_AVAIL',min_avail)
-          CALL getin('RIP_TIME_MIN',RIP_time_min)
-          CALL getin('NPP_LONGTERM_INIT',npp_longterm_init)
-          CALL getin('EVERYWHERE_INIT',everywhere_init)
-
-          first_call = .FALSE.
-       
-     ENDIF
-
-
-   END SUBROUTINE getin_dgvm_parameters
+    
+  END SUBROUTINE getin_dgvm_parameters
+
 
 !--------------------
